-- 通用战斗失败窗口
checkRequire("Lua_FightResultBaseWindow");
Lua_FightFailResultWindow = class("Lua_FightFailResultWindow", Lua_FightResultBaseWindow);
function Lua_FightFailResultWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_FightFailResultWindow";
	self.skinName = "FightFailResultWindow_skin";
    self.winBgPath = "/images/fight/ui_jscg_widget_002.jpg";
    self:addPreLoadRes(self.winBgPath, Lua_LoadFileType.IMG);
    self.openSound = "fight_lose_01";

	self.bIsWin = false;
	self.bIsShowCountTime = true;
	self.bIsShowHurtBtn = true;
	self.bIsShowStrongerBtn = true;
end

function Lua_FightFailResultWindow:buildShowItem()
	self:superCall("buildShowItem");
	self.btnSure:addClickFuntion(self, self.onBtnSureClick);
end

function Lua_FightFailResultWindow:dispose()
	self:superCall("dispose");
end

function Lua_FightFailResultWindow:showWin(param)
	self:superCall("showWin", param);
	self:updateFuncIcons();
end

function Lua_FightFailResultWindow:hide()
	local config = Lua_FightTemplateConfigData.getConfigData(self.templateId)
	if config and config.sys_type == Lua_FightDefine.FIGHT_TYPE_MAINLINE then -- 主线冒险
		local iconId = DataCenter.mainMenuData.selectMainIconId;
		local vo = DataCenter.funcPathUtil:getFuncPathVo(1005)
		if iconId == Lua_MenuViewDefine.ICON_MAINLINE and not vo.isShowing then
			DataCenter.funcPathUtil:gotoFunction(1005, true, false)
		end
	end
	self:superCall("hide");
end

function Lua_FightFailResultWindow:onBtnSureClick(go)
	self:hide();
end