-- 战斗胜利奖励item
Lua_FightResultRewardItem = class("Lua_FightResultRewardItem", Lua_ItemIconCell);
function Lua_FightResultRewardItem:buildShowItem()
    self:superCall("buildShowItem");
    self.itemIcon:setLocation(0, 20, 0);

    self.nameText = UICreate.createLabel(self.content, nil, 0, -55, 100, 31, 24);
    self.nameText.alignmentValue = 4;
    self.nameText.horizontalOverflowValue = 1;
    self.nameText.colorStr = Lua_ColorDefine.transColorStr("F4F0ED");
end

function Lua_FightResultRewardItem:dispose()
    self.nameText = nil;
    self:superCall("dispose");
end

function Lua_FightResultRewardItem:setData(data)
    self:superCall("setData", data);
    self.nameText.text = self.data.name;
end

function Lua_FightResultRewardItem:onPressClick()
    self:superCall("onPressClick");
    Lua_MsgUtil.callFunc("CHECK_REWARD_CLICK");
end