-- 星魂试炼 战斗失败结算Window
checkRequire("Lua_FightResultBaseWindow");
Lua_StarTrialFightFailWindow = class("Lua_StarTrialFightFailWindow", Lua_FightResultBaseWindow);
function Lua_StarTrialFightFailWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_StarTrialFightFailWindow";
	self.skinName = "StarTrialFightFailWindow_skin";
	self.winBgPath = "/images/fight/ui_jscg_widget_002.jpg";
	self:addPreLoadRes(self.winBgPath, Lua_LoadFileType.IMG);
	self.openSound = "fight_lose_01";

	self.bIsWin = false;
	self.bIsShowCountTime = true;
	self.bIsShowHurtBtn = true;
end

function Lua_StarTrialFightFailWindow:buildShowItem()
	self:superCall("buildShowItem");

	if not Lua_WindowUtil.isWindowShowing("Lua_StarTrialWindow") and DataCenter.starTrialData.isOpenWindow then
		Lua_WindowUtil.openWin("Lua_StarTrialWindow", Lua_WinParam.ACTION_OPEN);
	end
	
	self.backBtn:addClickFuntion(self, self.onBackBtnClick);
	self.sureBtn:addClickFuntion(self, self.hide);
end

function Lua_StarTrialFightFailWindow:dispose()
	self:superCall("dispose");
end

function Lua_StarTrialFightFailWindow:showWin(param)
	self:superCall("showWin", param);
	self:updateFuncIcons();
end

function Lua_StarTrialFightFailWindow:onBackBtnClick(go)
	DataCenter.funcPathUtil:gotoFunction(1041, true, false);
end